Get an owned pet's certificates
A certificate for each rabies vaccine and each spay or neuter a clinic recorded, newest first, in the shape an animal’s take, with the pet’s owner as the owner. pet_id is null: an owned pet has none. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
owned-pets
/
{id}
/
certificates
Get an owned pet's certificates
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/owned-pets/{id}/certificates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/owned-pets/{id}/certificates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/owned-pets/{id}/certificates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"animal": {
"name": "<string>",
"species": "<string>",
"breed": "<string>",
"sex": "<string>",
"date_of_birth": "2023-12-25",
"colors": [
"<string>"
],
"microchip_number": "<string>",
"pet_id": "<string>"
},
"owner": {
"name": "<string>",
"address": "<string>",
"phone": "<string>"
},
"certificates": [
{
"record_id": "<string>",
"kind": "rabies",
"item": "<string>",
"performed_on": "2023-12-25",
"next_due_on": "2023-12-25",
"tag_number": "<string>",
"lot_number": "<string>",
"product_expires_on": "2023-12-25",
"veterinarian": "<string>",
"veterinarian_license": "<string>",
"veterinarian_signature": "<string>",
"performed_in_house": true,
"practice": {
"name": "<string>",
"phone": "<string>",
"address": "<string>"
}
}
],
"certificate_settings": {
"vet_signature": "always",
"rabies_text": "<string>",
"spay_neuter_text": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
⌘I
Get an owned pet's certificates
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/owned-pets/{id}/certificates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/owned-pets/{id}/certificates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/owned-pets/{id}/certificates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"animal": {
"name": "<string>",
"species": "<string>",
"breed": "<string>",
"sex": "<string>",
"date_of_birth": "2023-12-25",
"colors": [
"<string>"
],
"microchip_number": "<string>",
"pet_id": "<string>"
},
"owner": {
"name": "<string>",
"address": "<string>",
"phone": "<string>"
},
"certificates": [
{
"record_id": "<string>",
"kind": "rabies",
"item": "<string>",
"performed_on": "2023-12-25",
"next_due_on": "2023-12-25",
"tag_number": "<string>",
"lot_number": "<string>",
"product_expires_on": "2023-12-25",
"veterinarian": "<string>",
"veterinarian_license": "<string>",
"veterinarian_signature": "<string>",
"performed_in_house": true,
"practice": {
"name": "<string>",
"phone": "<string>",
"address": "<string>"
}
}
],
"certificate_settings": {
"vet_signature": "always",
"rabies_text": "<string>",
"spay_neuter_text": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
